files = {
    '/etc/dhcp/dhcpd.conf': {
        'content_type': 'mako',
        'context': {
            'dhcp_config': node.metadata.get('dhcpd'),
        },
        'needs': {
            'pkg_apt:isc-dhcp-server'
        },
        'triggers': {
            'svc_systemd:isc-dhcp-server:restart',
        },
    },
    '/etc/default/isc-dhcp-server': {
        'content_type': 'mako',
        'context': {
            'listen_interfaces': node.metadata.get('dhcpd', {}).get('listen_interfaces'),
        },
        'needs': {
            'pkg_apt:isc-dhcp-server'
        },
        'triggers': {
            'svc_systemd:isc-dhcp-server:restart',
        },
    },
}

svc_systemd = {
    'isc-dhcp-server': {
        'needs': {
            'pkg_apt:isc-dhcp-server',
            'file:/etc/dhcp/dhcpd.conf',
            'file:/etc/default/isc-dhcp-server',
        },
    },
}

